Index: gen/sysconf.c
===================================================================
RCS file: /vol/ncvs/src/lib/libc/gen/sysconf.c,v
retrieving revision 1.20
diff -u -r1.20 sysconf.c
--- gen/sysconf.c	17 Nov 2002 08:54:29 -0000	1.20
+++ gen/sysconf.c	4 Jun 2003 20:44:47 -0000
@@ -40,6 +40,7 @@
 #include <sys/cdefs.h>
 __FBSDID("$FreeBSD: src/lib/libc/gen/sysconf.c,v 1.20 2002/11/17 08:54:29 dougb Exp $");
 
+#include "namespace.h"
 #include <sys/param.h>
 #include <sys/time.h>
 #include <sys/sysctl.h>
@@ -52,6 +53,7 @@
 #include <pthread.h>		/* we just need the limits */
 #include <time.h>
 #include <unistd.h>
+#include "un-namespace.h"
 
 #include "../stdlib/atexit.h"
 #include "../stdtime/tzfile.h"
@@ -560,7 +562,7 @@
 		value = socket(PF_INET6, SOCK_DGRAM, 0);
 		errno = sverrno;
 		if (value >= 0) {
-			close(value);
+			_close(value);
 			return (200112L);
 		} else
 			return (0);
Index: include/namespace.h
===================================================================
RCS file: /vol/ncvs/src/lib/libc/include/namespace.h,v
retrieving revision 1.16
diff -u -r1.16 namespace.h
--- include/namespace.h	1 May 2003 19:03:13 -0000	1.16
+++ include/namespace.h	4 Jun 2003 20:38:29 -0000
@@ -122,8 +122,10 @@
 /*#define		sigaction			_sigaction*/
 #define		sigprocmask			_sigprocmask
 #define		sigsuspend			_sigsuspend
+#define		sleep				_sleep
 #define		socket				_socket
 #define		socketpair			_socketpair
+#define		wait				_wait
 #define		wait4				_wait4
 #define		waitpid				_waitpid
 #define		write				_write
@@ -154,10 +156,8 @@
 #define		sigpending			_sigpending
 #define		sigreturn			_sigreturn
 #define		sigsetmask			_sigsetmask
-#define		sleep				_sleep
 #define		system				_system
 #define		tcdrain				_tcdrain
-#define		wait				_wait
 #endif
 
 #endif /* _NAMESPACE_H_ */
Index: include/un-namespace.h
===================================================================
RCS file: /vol/ncvs/src/lib/libc/include/un-namespace.h,v
retrieving revision 1.13
diff -u -r1.13 un-namespace.h
--- include/un-namespace.h	1 May 2003 19:03:13 -0000	1.13
+++ include/un-namespace.h	4 Jun 2003 20:44:04 -0000
@@ -103,8 +103,10 @@
 #undef		sigaction
 #undef		sigprocmask
 #undef		sigsuspend
+#undef		sleep
 #undef		socket
 #undef		socketpair
+#undef		wait
 #undef		wait4
 #undef		waitpid
 #undef		write
@@ -127,10 +129,8 @@
 #undef		sigpending
 #undef		sigreturn
 #undef		sigsetmask
-#undef		sleep
 #undef		system
 #undef		tcdrain
-#undef		wait
 #endif	/* 0 */
 
 #ifdef _SIGNAL_H_
Index: net/rcmdsh.c
===================================================================
RCS file: /vol/ncvs/src/lib/libc/net/rcmdsh.c,v
retrieving revision 1.5
diff -u -r1.5 rcmdsh.c
--- net/rcmdsh.c	27 Feb 2003 13:40:00 -0000	1.5
+++ net/rcmdsh.c	4 Jun 2003 21:01:20 -0000
@@ -36,6 +36,7 @@
 #include <sys/cdefs.h>
 __FBSDID("$FreeBSD: src/lib/libc/net/rcmdsh.c,v 1.5 2003/02/27 13:40:00 nectar Exp $");
 
+#include "namespace.h"
 #include <sys/types.h>
 #include <sys/socket.h>
 #include <sys/wait.h>
@@ -48,6 +49,7 @@
 #include <stdio.h>
 #include <string.h>
 #include <unistd.h>
+#include "un-namespace.h"
 
 #ifndef _PATH_RSH
 #define	_PATH_RSH	"/usr/bin/rsh"
@@ -117,7 +119,7 @@
 		/*
 		 * Child.  We use sp[1] to be stdin/stdout, and close sp[0].
 		 */
-		(void)close(sp[0]);
+		(void)_close(sp[0]);
 		if (dup2(sp[1], 0) == -1 || dup2(0, 1) == -1) {
 			perror("rcmdsh: dup2 failed");
 			_exit(255);
@@ -161,9 +163,9 @@
 		_exit(255);
 	} else {
 		/* Parent. close sp[1], return sp[0]. */
-		(void)close(sp[1]);
+		(void)_close(sp[1]);
 		/* Reap child. */
-		(void)wait(NULL);
+		(void)_wait(NULL);
 		return (sp[0]);
 	}
 	/* NOTREACHED */
Index: rpc/getnetconfig.c
===================================================================
RCS file: /vol/ncvs/src/lib/libc/rpc/getnetconfig.c,v
retrieving revision 1.9
diff -u -r1.9 getnetconfig.c
--- rpc/getnetconfig.c	16 Feb 2003 17:29:10 -0000	1.9
+++ rpc/getnetconfig.c	4 Jun 2003 20:45:42 -0000
@@ -428,7 +428,7 @@
 	fprintf(stderr, "See UPDATING entry 20021216 for details.\n");
 	fprintf(stderr, "Continuing in 10 seconds\n\n");
 	fprintf(stderr, "This warning will be removed 20030301\n");
-	sleep(10);
+	_sleep(10);
 
     }
 

